> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all app versions for an app

> Returns all versions for an app.

**Authorization**:
- Users with the `nx1_app_manager` role can access any app's versions.
- Users with app-specific roles can access only apps they have permission for.



## OpenAPI

````yaml get /api/app/{app_id}/versions
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/app/{app_id}/versions:
    get:
      tags:
        - App manager
      summary: Get all app versions for an app
      description: >-
        Returns all versions for an app.


        **Authorization**:

        - Users with the `nx1_app_manager` role can access any app's versions.

        - Users with app-specific roles can access only apps they have
        permission for.
      operationId: get_app_versions_api_app__app_id__versions_get
      parameters:
        - name: app_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: App Id
      responses:
        '200':
          description: App versions retrieved successfully.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AppVersionResponse'
                title: Response Get App Versions Api App  App Id  Versions Get
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden - Requires an `nx1_app_manager` or an app role.
        '404':
          description: App not found.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    AppVersionResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Unique ID of the app version.
        app_id:
          type: string
          format: uuid
          title: App Id
          description: ID of the parent app.
        version_name:
          type: string
          title: Version Name
          description: Name of the version.
        status:
          type: string
          title: Status
          description: 'Status of the version: ''active'' or ''inactive''.'
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
          description: Username of the creator.
        created_date:
          anyOf:
            - {}
            - type: 'null'
          title: Created Date
          description: Version creation timestamp.
        updated_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated By
          description: Username of the last updater.
        updated_date:
          anyOf:
            - {}
            - type: 'null'
          title: Updated Date
          description: Timestamp when the version was last updated.
      type: object
      required:
        - id
        - app_id
        - version_name
        - status
      title: AppVersionResponse
      description: Response model for app version details.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````